Trigger a Release
This page documents the API endpoint to Trigger a Release
Your Control Plane URL will vary
The Control Plane URL, denoted as YOUR_CP_URL for this API reference document is https://facetsdemo.console.facets.cloud.
Replace that with the Control Plane URL unique to your account.
API Endpoint
This API processes a PUT request to trigger a release on a selected unique cluster.
https://{YOUR_CP_URL}/cc-ui/v1/clusters/{clusterId}/deployments/release- This API endpoint has one path parameter,
clusterId. - There are also two query parameters,
forceRelease, andwithRefresh.
Path parameters
clusterIdof typeString, is the unique ID for the cluster where you want to make a release. You can find this ID in the Environment Overview screen in Facets UI.
Query parameters
The two query parameters documented below are optional and have defaults. The endpoint also accepts allowDestroy (Boolean, default false), comment (String), and canQueue (Boolean, default false).
forceReleaseof typeBooleanwith the default valuefalse.
forceRelease can be used to force trigger a release regardless of any changes to the blueprint or application versions.
withRefreshof typeBooleanwith the default valuetrue. Note thattruewill take considerably more time to finish deploying.
withRefresh is used for Drift detection
Drift detection enables you to detect whether the environment differs, or has drifted, from its blueprint specification. In case the value is set to "true", the deployment will try to match the environment configuration as defined in the blueprint if it has drifted from it.
Authenticate your API request
To learn more about how to generate a basic authentication token for use with Facets API requests, check Authentication Setup.
Facets API uses Basic Authentication.